/*------------------------------------------------------------------------
 * MAGNET Bid Manager component
 * $Id: AbstractBidCollector.java,v 1.1.2.1 2002/05/05 19:41:44 ashutosh Exp $
 * Copyright (c) 2000 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License..
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Fri May  4 10:21:58 2001  John Collins
 *   Initial Entry
 */

package edu.umn.magnet.client.bid;

/**
 * This class supports the SessionId property for all concrete
 * BidCollector types.
 * @author John Collins
 * @version $Revision: 1.1.2.1 $
 */
public abstract class AbstractBidCollector
  implements BidCollector
{
  protected String sessionId = "";

  /**
   * Returns the Session ID of the market session from which bids are
   * to be collected.
   */
  public String getSessionId ()
  {
    return sessionId;
  }

  /**
   * Sets the Session ID of the market session for this collector.
   */
  public void setSessionId (String newId)
  {
    sessionId = newId;
  }
}
