/*------------------------------------------------------------------------
 * Magnet bid evaluation components
 * $Id: Evaluator.java,v 1.1.2.1 2002/05/05 19:41:48 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Tue Sep 29 21:10:02 1998  John E. Collins
 *   Initial Entry
 */

package edu.umn.magnet.client.eval;

/**
 * This is an interface that defines the essential elements of Magnet
 * bid/plan evaluators.
 * @author John Collins
 */
public interface Evaluator
{
  /**
   * Returns an evaluation as a (double) number.
   */
  public double evaluate (TaskBidPlan plan);

  /**
   * Returns a String that names the type of evaluation performed by
   * this Evaluator.
   */
  public String getEvalClass ();
}
