/*------------------------------------------------------------------------
 * MAGNET agent status component
 * $Id: InvalidStateException.java,v 1.1.2.1 2002/05/05 19:41:50 ashutosh Exp $
 * Copyright (c) 2001 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Fri May 18 14:18:31 2001  John Collins
 *   Initial Entry
 */

package edu.umn.magnet.client.status;

import edu.umn.magnet.protocol.MagnetException;

/**
 * This exception is used to indicate that some status operation is
 * illegal because the status object is in the incorrect state to
 * allow the requested operation.  The message should be explanatory.
 * @author John Collins
 * @version $Revision: 1.1.2.1 $
 */
public class InvalidStateException extends MagnetException
{
  public InvalidStateException (String reason)
  {
    super(reason);
  }
}
