/*------------------------------------------------------------------------
 * MAGNET supply monster components
 * $Id: TaskSpec.java,v 1.1.2.1 2002/05/05 19:41:55 ashutosh Exp $
 * Copyright (c) 2000 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Thu Dec 14 20:25:22 2000  John Collins
 *   Initial Entry
 */

package edu.umn.magnet.client.sup;

import java.util.Date;

/**
 * Temporary representation of task data for the Supply Monster
 * components.
 * @author John Collins
 */
public class TaskSpec implements java.io.Serializable
{
  private String taskId;
  private Date earlyStart = null;
  private Date lateFinish = null;
  private long duration = 0L;
  private long cost = 0L;

  public TaskSpec ()
  {
    super();
  }

  public TaskSpec (String taskId)
  {
    super();
    this.taskId = taskId;
  }
  
  public String getTaskId ()
  {
    return taskId;
  }

  public void setTaskId (String newId)
  {
    this.taskId = newId;
  }

  public Date getEarlyStart ()
  {
    return earlyStart;
  }

  public void setEarlyStart (Date newval)
  {
    this.earlyStart = newval;
  }

  public Date getLateFinish ()
  {
    return lateFinish;
  }

  public void setLateFinish (Date newval)
  {
    lateFinish = newval;
  }

  public Date getLateStart ()
  {
    return new Date(lateFinish.getTime() - duration);
  }

  public long getDuration ()
  {
    return duration;
  }

  public void setDuration (long newval)
  {
    duration = newval;
  }

  public long getCost ()
  {
    return cost;
  }

  public void setCost (long newCost)
  {
    cost = newCost;
  }
}
