/*----------------------------------------------------------------------
 * Magnet Protocol elements
 * $Id: CircularDependencyException.java,v 1.1.2.1 2002/05/05 19:41:56 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *----------------------------------------------------------------------
 * Revision History:
 * 
 * Thu Oct 29 15:56:47 1998  John E. Collins
 *   Add serialization signature.
 * 
 * Wed Sep 16 08:55:21 1998  John E. Collins
 *   Change name to spell out "Exception", inherit from MagnetException
 * 
 * Sat Jun 27 09:40:03 1998  John E. Collins
 *   Move to protocol package.
 */

package edu.umn.magnet.protocol.cust;

/**
 * Thrown when an attempt to add a precedence relation to a PlanData
 * object would result in a cycle in the predecence graph.
 */
public class CircularDependencyException extends Exception
{
  public CircularDependencyException() {
    super();
  }

  public CircularDependencyException (String reason) {
    super(reason);
  }
}
