/* --------------------------------------------------------------
 *  $Id: Completion.java,v 1.2.2.1 2002/05/05 19:41:56 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 * --------------------------------------------------------------
 * Revision History:
 * 
 * Thu Feb 22 17:14:47 2001  John Collins
 *   Move to customer protocol component, remove bid breakdown stuff.
 * 
 * Thu Oct 29 15:58:56 1998  John E. Collins
 *   Add serialization signature.
 * 
 * Sat Jun 27 09:40:53 1998  John E. Collins
 *   Move to protocol package.
 * 
 * Wed Jun  3 14:51:56 1998  John E. Collins
 *   Make this a subclass of ProtocolElement.
 */

package edu.umn.magnet.protocol.cust;

import edu.umn.magnet.protocol.ProtocolElement;

/**
 * An assertion by a supplier that a subtask has been completed.
 * @author      Ben Youngdahl
 */
public class Completion extends ProtocolElement
{
  private String _bidId;

  public Completion() {
    super();
  }

  /** 
   * Method <b>setBidId(string s)</b> and its counterpart
   *<b>getBidId()</b> to set and get a bid ID.
   * @param s A String to assign as a bid ID.
   * @throws InvalidDataException Throws if string is null
   * @return A string representing the bid ID.
   */
  public void setBidId(String s)
  {
    _bidId = s; 
  }

  public String getBidId()
  {
    return _bidId;   
  }
}

    
