/*---------------------------------------------------------------------
 * Magnet Protocol Elements
 * $Id: SubtaskRqSchedule.java,v 1.1.2.1 2002/05/05 19:41:56 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *---------------------------------------------------------------------
 * Revision History:
 * 
 * Thu Feb 22 17:22:55 2001  John Collins
 *   Move to customer protocol component.
 * 
 * Sat Dec 30 10:50:42 2000  John Collins
 *   Remove decommitment penalty stuff
 * 
 * Sun Sep 24 21:23:43 2000  John Collins
 *   Name changed from SubtaskRequestPbc to SubtaskRqSchedule
 * 
 * Sat Jun 27 16:20:13 1998  John E. Collins
 *   Move to protocol package
 */

package edu.umn.magnet.protocol.cust;

import edu.umn.magnet.protocol.InvalidDataException;

import java.util.Date;


/**
 * Extends a SubtaskRqInfo with scheduling and decommitment data
 */
public interface SubtaskRqSchedule extends SubtaskRqInfo
{
  /*
   *  Time the subtask must be finished by.
   */
  Date getDeadline ();
  
  void setDeadline (Date date) throws InvalidDataException;
  
  /*
   *  Earliest time the task can be started.
   */
  Date getEarliestTimeToStart ();
  
  void setEarliestTimeToStart (Date date) throws InvalidDataException;
}
