/*-------------------------------------------------------------------------
 * Magnet Protocol Elements
 * $Id: InvalidDataException.java,v 1.1.2.1 2002/05/05 19:41:58 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *-------------------------------------------------------------------------
 * Revision History:
 * 
 * Thu Oct 29 16:22:27 1998  John E. Collins
 *   Add serialization signature.
 * 
 * Wed Sep 16 08:54:58 1998  John E. Collins
 *   Inherit from MagnetException
 * 
 * Sat Jun 27 10:01:21 1998  John E. Collins
 *   Move to protocol package.
 */

package edu.umn.magnet.protocol;

/**
 * Thrown to indicate some sort of attempt to set an invalid data value.
 */
public class InvalidDataException extends MagnetException
{
  /**
   * Creates a new exception. A reason must be given.
   */
  public InvalidDataException(String reason) {
      super(reason);
      }

  /**
   * Returns the reason given for an exception
   */
  public String getReason () {
      return this.getMessage();
      }
}
