/**
 * ------------------------------------------------------------------------
 * MAGNET User Interface components
 * $Id: TPGanttEvent.java,v 1.1 2001/04/11 22:45:55 kohn Exp $
 * Copyright (c) 2000,2001 University of Minnesota
 * ------------------------------------------------------------------------
 * Revision History:
 *
 * 27Feb2001 DFK - Initial Entry
 */
package edu.umn.magnet.client.userif;

import edu.umn.magnet.protocol.cust.TPEvent;
import edu.umn.magnet.client.userif.TPGanttModel;


/** {@link TPGanttEvent}s are generated by a {@link TPGanttModel} to update the chart.
 *  I subclassed just to give this event a unique class name, but the behavior
 *  is exactly the same as for {@link TPEvent}.
 */
public class TPGanttEvent extends TPEvent {

  /** Simple constructor.
   *  This communicates a generic change event:
   *  <i>"Something's changed, but I'm not sure what changed, so just
   *    update everything."</i>
   *  @param source   The object (typically keyword <tt>this</tt>) creating the event.
   */
  public TPGanttEvent(Object source) {
    super(source);
  }

  /** A constructor that includes some arbitrary {@link String} message. */
  public TPGanttEvent(Object source, String aMessage) {
    super(source);
    _message = aMessage;
  }
}