/*------------------------------------------------------------------------
 * Magnet search utility components
 * $Id: SearchNode.java,v 1.1.2.1 2002/05/05 19:42:05 ashutosh Exp $
 * Copyright (c) 1998 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Thu Dec 31 10:18:20 1998  John E. Collins
 *   Initial Entry
 */

package edu.umn.magnet.util.search;

/**
 * Every node in a search queue must implement this interface.  The
 * value accessor is intended to access the nodes evaluation, and will
 * only be used for the best-first search discipline.
 * @author John Collins
 */
public interface SearchNode
{
  /**
   * Return the evaluation of this node.  If best-first search is not
   * being used, it is acceptable to return a dummy value.
   */
  public double value ();
}
