/*-------------------------------------------------------------------------
 * Title:        Magnet Server
 * Version:      $Id: TimerAction.java,v 1.1 2001/04/09 15:58:26 jcollins Exp $
 * Copyright:    Copyright (c) 1998
 * Author:       John Collins
 * Company:      University of Minnesota
 * Description:  Magnet server component: Timer Action interface
 *-------------------------------------------------------------------------
 * Revision History:
 * 
 * Sat Jun 27 06:41:11 1998  John E. Collins
 *   Move to tools package.
 */


package edu.umn.magnet.util.time;

/**
 * You create one of these (presumably as an anonymous class) to specify
 * what you want to have happen at the end of a Timer delay.
 * @author John Collins
 */
public interface TimerAction {

    /**
     * This is the method that gets called by the Timer. It is assumed to
     * have side effects; otherwise why would you bother? It is also
     * responsible for catching its own exceptions, since the Timer won't.
     */
    public void action();
}
