/*------------------------------------------------------------------------
 * MAGNET utility test components
 * $Id: AllTests.java,v 1.6.2.1 2002/05/05 19:42:06 ashutosh Exp $
 * Copyright (c) 2000 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Sun Nov 19 13:51:10 2000  John Collins
 *   Initial Entry
 */

//package edu.umn.magnet.client;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestResult;
import junit.framework.TestSuite;

import org.apache.log4j.PropertyConfigurator;

/**
 * This is a tester for edu.umn.magnet.client.Something
 * @author John Collins
 */
public class AllTests extends TestCase
{
  
  public AllTests (String testName)
  {
    super(testName);
  }

  /**
   * You run the main method to exercise this thing.  There are no
   * command-line args.
   */
  public static void main (String[] args)
  {
    PropertyConfigurator.configure
	(System.getProperty("LogConfiguration", "test.lcf"));
    junit.textui.TestRunner.run(suite());
  }

  public static Test suite ()
  {
    TestSuite suite = new TestSuite();
    suite.addTest(edu.umn.magnet.util.ConsTest.suite());
    suite.addTest(edu.umn.magnet.util.silk.SilkHookTest.suite());
    suite.addTest(edu.umn.magnet.util.time.AgentTimeTest.suite());
    suite.addTest(edu.umn.magnet.util.time.TimerTest.suite());
    suite.addTest(edu.umn.magnet.util.search.SearchQueueTest.suite());
    suite.addTest(edu.umn.magnet.util.search.BFSearchQueueTest.suite());
    return suite;
  }
}
