/*------------------------------------------------------------------------
 * MAGNET utility test components
 * $Id: ConsTest.java,v 1.1.2.1 2002/05/05 19:42:06 ashutosh Exp $
 * Copyright (c) 2000 Regents of the University of Minnesota.
 * All Rights Reserved by the Regents of the University of Minnesota.
 * This file contains Original Code and/or Modifications of Original
 * Code as defined in the MAGNET Public Source License, which is
 * available at http://www.cs.umn.edu/magnet/source_license_v1.txt.
 * You may not use this file except in compliance with the License.
 *------------------------------------------------------------------------
 * Revision History:
 * 
 * Sun Nov 19 13:51:10 2000  John Collins
 *   Initial Entry
 */

package edu.umn.magnet.util;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestResult;
import junit.framework.TestSuite;

/**
 * This is a tester for edu.umn.tools.Cons
 * @author John Collins
 */
public class ConsTest extends TestCase
{
  String a = "A";
  Integer b = new Integer(3);
  
  public ConsTest (String testName)
  {
    super(testName);
  }

  /**
   * You run the main method to exercise this thing.  There are no
   * command-line args.
   */
  public static void main (String[] args)
  {
    junit.textui.TestRunner.run(suite());
  }

  public static Test suite ()
  {
    return new TestSuite(ConsTest.class);
  }
  
  public void testSingle ()
  {
    // create and test a single cons cell
    Cons c1 = new Cons(a);
    assertSame(a, c1.car());
    assertNull(c1.cdr());
    assertEquals(1, c1.size());
  }
  
  public void testCons1 ()
  {
    Cons c1 = new Cons(a);
    Cons c2 = new Cons(b, c1);
    assertSame(b, c2.car());
    assertSame(c1, c2.cdr());
    assertSame(a, ((Cons)c2.cdr()).car());
    assertNull(((Cons)c2.cdr()).cdr());
    assertEquals(2, c2.size());
  }
  
  public void testCons2 ()
  {
    Cons c1 = new Cons(a);
    Cons c2 = c1.cons(b);
    assertSame(b, c2.car());
    assertSame(c1, c2.cdr());
    assertSame(a, ((Cons)c2.cdr()).car());
    assertNull(((Cons)c2.cdr()).cdr());
    assertEquals(2, c2.size());
  }
  
  public void testString ()
  {
    Cons c1 = new Cons(a);
    Cons c2 = c1.cons(b);
    Cons c3 = new Cons(a, b);
    Cons c4 = c3.cons(b);
    assertEquals("(A)", c1.toString());
    assertEquals("(3 A)", c2.toString());
    assertEquals("(A . 3)", c3.toString());
    assertEquals("(3 A . 3)", c4.toString());
  }
}
