;;; MAGNET experimental script
;;; $Id: scale-linear.scm,v 1.1 2001/07/04 22:55:16 jcollins Exp $
;;; -------------------------------------------------------------------
;;; Revision History:
;;; 
;;; Sun Mar 18 14:32:00 2001  John Collins
;;;   Initial Entry
;;;
;;; -------------------------------------------------------------------
;;; Linear scaling for SASearch.  The "fudge" factor is meant to
;;; produce the same patience factor as log for a problem of 20 tasks
;;; and 65 bids, which is about where SA really started to fall off in
;;; the IMA experiments.

(define fudge (/ (+ (log 20.0) (log 65.0))
		 (+ 20.0 65.0)))

(define (compute-scale sas)
  ;; Here we assume obj is of type SASearch
  (.println System.out$ "Running compute-scale")
  (let ((bid-eval (.getBidEvaluator sas)))
    (.setScaleFactor sas
		     (* (+ (.size (.getBids bid-eval))
			   (.size (.getTaskPlan bid-eval)))
			(.getPatienceFactor sas)
			fudge))))

(add-hook 'SASearch.scale compute-scale)
